package com.gic.store.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.store.dto.ClerkPositionDTO;

import java.util.List;

/**
 * @author zhiwj
 * @Description:
 * @date 2020-07-15 16:55
 */
public interface ClerkPositionApiService {

    /**
     * @Title: save
     * @Description:
     * @author zhiwj
     * @param clerkPositionDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> save(ClerkPositionDTO clerkPositionDTO);
    
    /**
     * @Title: update
     * @Description: 
     * @author zhiwj 
     * @param clerkPositionDTO
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws 
     */
    ServiceResponse<Void> update(ClerkPositionDTO clerkPositionDTO);

    /**
     * @Title: getByClerkPositionId
     * @Description: 
     * @author zhiwj 
     * @param clerkPositionId
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.store.dto.ClerkPositionDTO>
     * @throws 
     */
    ServiceResponse<ClerkPositionDTO> getByClerkPositionId(Integer clerkPositionId);

    /**
     * @Title: delete
     * @Description:
     * @author zhiwj
     * @param clerkPositionId
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws
     */
    ServiceResponse<Void> delete(Integer clerkPositionId);

    /**
     * @Title: listClerkPosition
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param search
     * @param currentPage
     * @param pageSize
     * @return com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.store.dto.ClerkPositionDTO>>
     * @throws
     */
    ServiceResponse<Page<ClerkPositionDTO>> listClerkPosition(Integer enterpriseId, String search, Integer currentPage, Integer pageSize);

    /**
     * @Title: listAllClerkPosition
     * @Description:
     * @author zhiwj
     * @param enterpriseId
     * @param search
     * @return com.gic.api.base.commons.ServiceResponse<java.util.List<com.gic.store.dto.ClerkPositionDTO>>
     * @throws
     */
    ServiceResponse<List<ClerkPositionDTO>> listAllClerkPosition(Integer enterpriseId, String search);

    /**
     * @Title: setSort
     * @Description: 
     * @author zhiwj 
     * @param enterpriseId
     * @param clerkPositionId
     * @param seq
     * @return com.gic.api.base.commons.ServiceResponse<java.lang.Void>
     * @throws 
     */
    ServiceResponse<Void> setSort(Integer enterpriseId, Integer clerkPositionId, Integer seq);

    /**
     * @Title: getByName
     * @Description:
     * @author zhiwj
    * @param enterpriseId
     * @param positionName@return com.gic.api.base.commons.ServiceResponse<com.gic.store.dto.ClerkPositionDTO>
     * @throws
     */
    ServiceResponse<ClerkPositionDTO> getByName(Integer enterpriseId, String positionName);
}
