package com.gic.store.dao.mapper;

import com.gic.store.entity.TabClerkPosition;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface TabClerkPositionMapper {
    /**
     * 根据主键删除
     *
     * @param clerkPositionId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer clerkPositionId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabClerkPosition record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabClerkPosition record);

    /**
     * 根据主键查询
     *
     * @param clerkPositionId 主键
     * @return 实体对象
     */
    TabClerkPosition selectByPrimaryKey(Integer clerkPositionId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabClerkPosition record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabClerkPosition record);

    TabClerkPosition getSelective(TabClerkPosition tabClerkPosition);

    Page<TabClerkPosition> listClerkPosition(@Param("enterpriseId") Integer enterpriseId, @Param("search") String search);

    Double getMinSort(@Param("enterpriseId") Integer enterpriseId);

    Double getMaxSort(@Param("enterpriseId") Integer enterpriseId);

    List<TabClerkPosition> listTwoElementExceptId(@Param("enterpriseId") Integer enterpriseId, @Param("start") int start, @Param("size") int size, @Param("clerkPositionId") Integer clerkPositionId);

    TabClerkPosition getByName(@Param("enterpriseId") Integer enterpriseId, @Param("positionName") String positionName);
}