package com.gic.store.dao.mapper;

import com.gic.store.entity.TabStoreTransfer;

public interface TabStoreTransferMapper {
    /**
     * 根据主键删除
     *
     * @param storeTransferId 主键
     * @return 更新条目数
     */
    int deleteByPrimaryKey(Integer storeTransferId);

    /**
     * 插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insert(TabStoreTransfer record);

    /**
     * 动态插入一条记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int insertSelective(TabStoreTransfer record);

    /**
     * 根据主键查询
     *
     * @param storeTransferId 主键
     * @return 实体对象
     */
    TabStoreTransfer selectByPrimaryKey(Integer storeTransferId);

    /**
     * 根据主键动态更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKeySelective(TabStoreTransfer record);

    /**
     * 根据主键更新记录
     *
     * @param record 实体对象
     * @return 更新条目数
     */
    int updateByPrimaryKey(TabStoreTransfer record);
}