package com.gic.store.service;

import com.gic.store.entity.TabStoreDict;

import java.util.List;

public interface StoreDictService {
    /**
     * 获取企业下的门店类型
     * @param enterpriseId
     * @return
     */
    List<String> listStoreType(Integer enterpriseId);

    /**
     * 获取企业下的门店状态
     * @param enterpriseId
     * @return
     */
    List<String> listStoreStatus(Integer enterpriseId);

    /**
     * 保存门店类型
     * @param tabStoreDict
     */
    void saveStoreType(TabStoreDict tabStoreDict);

    /**
     * 保存门店状态
     * @param tabStoreDict
     */
    void saveStoreStatus(TabStoreDict  tabStoreDict);

    /**
     * 查询门店自定义字段配置支持查询
     * @param enterpriseId
     * @return
     */
    List<String> listStoreField(Integer enterpriseId);

    void saveStoreField(TabStoreDict tabStoreDict);

    void deleteStoreDict(Integer enterpriseId, String value, String type);
}
